set -e

cd dist
aws s3 cp --recursive . s3://apps.avidannotations.com/boxr/
for f in $(find . -type f) ; do
    aws s3api put-object-acl --bucket apps.avidannotations.com --key boxr/$( echo $f | sed 's$\./$$' ) --grant-read uri=http://acs.amazonaws.com/groups/global/AllUsers
done

aws cloudfront create-invalidation --distribution-id E3LTPQNE2D8NEJ --paths /boxr/index.html
