import '@babel/polyfill';
import Vue from 'vue';
import VueRouter from 'vue-router';
import VueAsyncComputed from 'vue-async-computed';
import './plugins/vuetify';
import App from './App';

Vue.config.productionTip = false;
Vue.use(VueRouter);
Vue.use(VueAsyncComputed, {
  useRawError: true,
});

function initialize() {
  new Vue({
    render: h => h(App),
    router: new VueRouter(),
  }).$mount('#app');
}

initialize();
