"""
add task answer column

Revision ID: 21adce23f2bf
Revises: a36531c29488
Create Date: 2018-08-15 14:41:10.713836

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql


# revision identifiers, used by Alembic.
revision = '21adce23f2bf'
down_revision = 'a36531c29488'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column('task', sa.Column('answer', postgresql.JSONB(), nullable=True))


def downgrade():
    op.drop_column('task', 'answer')
