"""
Adding worker_id to unique key for assignment

Revision ID: 60e51dc64d5f
Revises: 940a13cd47d7
Create Date: 2018-08-13 14:46:33.387578

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '60e51dc64d5f'
down_revision = '940a13cd47d7'
branch_labels = None
depends_on = None


def upgrade():
    op.drop_constraint('uq_assignment_task_id', 'assignment', type_='unique')
    op.create_unique_constraint(op.f('uq_assignment_task_id'), 'assignment',
                                ['task_id', 'assignment_id', 'worker_id'])


def downgrade():
    op.drop_constraint(op.f('uq_assignment_task_id'), 'assignment', type_='unique')
    op.create_unique_constraint('uq_assignment_task_id', 'assignment', ['task_id', 'assignment_id'])
