"""
add-adjudication-source-type

Revision ID: 658ae66a2716
Revises: fa2a64fb9475
Create Date: 2018-11-16 07:46:34.957938

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '658ae66a2716'
down_revision = 'fa2a64fb9475'
branch_labels = None
depends_on = None


def upgrade():
    op.execute('COMMIT')
    op.execute("ALTER TYPE detection_source_enum ADD VALUE IF NOT EXISTS 'adjudication'", {
        'isolation_level': 'AUTOCOMMIT'
    })
    connection = op.get_bind()
    connection.execution_options(isolation_level='READ_COMMITTED')


def downgrade():
    pass
