"""
create arity task answer view

Revision ID: 7035ea2d9a55
Revises: 0ba5bd80bbb6
Create Date: 2018-08-17 13:24:27.536955

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '7035ea2d9a55'
down_revision = '0ba5bd80bbb6'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
CREATE OR REPLACE VIEW view_arity_task_answers as
SELECT id,
   video_id,
   ( args ->> 'start' ) :: NUMERIC                  AS start,
   ( args ->> 'end' ) :: NUMERIC                    AS end,
   ( answer ->> 'person opens trunk' )              AS "person opens trunk",
   ( answer ->> 'vehicle turning left' )            AS "vehicle turning left",
   ( answer ->> 'person texting on phone' )         AS "person texting on phone",
   ( answer ->> 'person enters through structure' ) AS "person enters through structure",
   ( answer ->> 'people talking' )                  AS "people talking"
FROM task
WHERE annotation_app_id = '2d755948-af16-40bf-846e-0ce885a43b53'
  AND sandbox = false
    """)


def downgrade():
    op.execute('DROP VIEW IF EXISTS view_arity_task_answers')
