import { mount } from '@vue/test-utils';
import VueRouter from 'vue-router';
import App from '../../../src/App';

describe('App.vue', () => {
  it('should render correct header', () => {
    const router = new VueRouter({ routes: [] });
    const wrapper = mount(App, {
      router,
    });

    expect(wrapper.find('.application-title').exists()).equal(true);
    expect(wrapper.find('.application-title').text()).equal('stumpf');

    expect(wrapper.find({ name: 'v-tabs' }).exists()).equal(true);
    const tabs = wrapper.findAll({ name: 'v-tab' });
    expect(tabs.length).equal(2);
  });
});
