const path = require('path');
const GitRevisionPlugin = require('git-revision-webpack-plugin');
// const SentryPlugin = require('webpack-sentry-plugin');

process.env.VUE_APP_GITHASH = new GitRevisionPlugin().commithash();

module.exports = {
  lintOnSave: false,
  baseUrl: '/reid',
  devServer: {
    proxy: 'http://localhost:5000',
    disableHostCheck: true,
  },
  configureWebpack: {
    resolve: {
      alias: {
        vue$: path.resolve(__dirname, './node_modules/vue/dist/vue.esm.js'),
      },
    },
  },
};
