"""
Add fact table schema

Revision ID: 1ba21a299d27
Revises: cc3294297c55
Create Date: 2018-10-18 10:09:32.420951

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1ba21a299d27'
down_revision = 'cc3294297c55'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column('fact', sa.Column('schema', sa.String(), nullable=True))
    op.create_index(op.f('ix_fact_schema'), 'fact', ['schema'], unique=False)


def downgrade():
    op.drop_index(op.f('ix_fact_schema'), table_name='fact')
    op.drop_column('fact', 'schema')
