"""
Fix annotation app unique constraint

Revision ID: 87c9434aff85
Revises: 2531962b230f
Create Date: 2018-08-01 17:37:21.280390

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = '87c9434aff85'
down_revision = '2531962b230f'
branch_labels = None
depends_on = None


def upgrade():
    op.drop_constraint(op.f('uq_annotation_app_repo_url'), 'annotation_app', type_='unique')
    op.create_unique_constraint(op.f('uq_annotation_app_repo_url'),
                                'annotation_app', ['repo_url', 'name', 'url'])


def downgrade():
    op.drop_constraint(op.f('uq_annotation_app_repo_url'), 'annotation_app', type_='unique')
    op.create_unique_constraint(op.f('uq_annotation_app_repo_url'),
                                'annotation_app', ['repo_url', 'name'])
