"""
Add views for metabase

Revision ID: 940a13cd47d7
Revises: 87c9434aff85
Create Date: 2018-08-08 11:20:04.204090

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '940a13cd47d7'
down_revision = '87c9434aff85'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
    CREATE OR REPLACE VIEW view_token AS (
      SELECT id, user_id, created, expires
      FROM token);

    CREATE OR REPLACE VIEW view_mturk_token AS (
      SELECT id, assignment_id, created, expires
      FROM mturk_token)
    """)


def downgrade():
    op.execute('DROP VIEW IF EXISTS view_token, view_mturk_token')
