from apispec import APISpec
from apispec.ext.marshmallow import MarshmallowPlugin
from apispec_webframeworks.flask import FlaskPlugin


spec = APISpec(title='Stumpf',
               version='v1',
               openapi_version='2.0',
               plugins=[MarshmallowPlugin(),
                        FlaskPlugin()],
               servers=[{
                   'url': 'http://localhost:{port}',
                   'description': 'Stumpf API server'
               }],
               schemes=['http', 'https'])
